package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

	beego.GlobalControllerRouter["eta/eta_forum_task/controllers:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_forum_task/controllers:AuthController"],
		beego.ControllerComments{
			Method:           "CreateAuthCode",
			Router:           `/auth_code`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta/eta_forum_task/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_task/controllers:ChartInfoController"],
		beego.ControllerComments{
			Method:           "Delete",
			Router:           `/delete`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta/eta_forum_task/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_task/controllers:ChartInfoController"],
		beego.ControllerComments{
			Method:           "Save",
			Router:           `/save`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta/eta_forum_task/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_task/controllers:ChartInfoController"],
		beego.ControllerComments{
			Method:           "Update",
			Router:           `/update`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

}
